<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    tools:context="ch.pizzapp.android.activity.LoginActivity"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <ch.pizzapp.android.view.AppToolbar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:title="@string/activity_title_login"
        android:background="@color/white"
        app:titleTextColor="@color/black" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            android:src="@drawable/background_wood" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <ImageView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:src="@drawable/splash_logo"
                android:layout_gravity="center_horizontal" />

            <ch.pizzapp.android.view.AppEditText
                android:id="@+id/emailPizzalinkEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:hint="@string/email"
                app:inputType="email" />

            <ch.pizzapp.android.view.AppEditText
                android:id="@+id/passwordPizzalinkEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:hint="@string/password"
                app:inputType="password" />

            <TextView
                android:id="@+id/forgotPasswordTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right|end"
                android:padding="12dp"
                android:textSize="12sp"
                android:text="@string/forgot_password_hint"
                android:textColor="@color/white" />

            <Button
                android:id="@+id/loginButton"
                style="@style/PizzappGrayButton"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginBottom="16dp"
                android:layout_marginTop="16dp"
                android:text="@string/button_login" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:gravity="center_horizontal"
                android:text="@string/not_have_an_accaount"
                android:textColor="@color/white" />

            <Button
                android:id="@+id/registerButton"
                style="@style/PizzappGrayButton"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginBottom="16dp"
                android:layout_marginTop="16dp"
                android:text="@string/register_text" />

        </LinearLayout>

        <TextView
            android:id="@+id/loginAsGuestTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:gravity="center_horizontal"
            android:text="@string/login_as_guest"
            android:layout_alignParentBottom="true"
            android:padding="16dp"
            android:layout_centerHorizontal="true"
            android:textColor="@color/white" />


    </RelativeLayout>


</LinearLayout>
